## scummvm 1.4.1~pre0039.g7d630d6

=== backends/platform/maemo/debian/changelog ===
scummvm (1.4.1~pre0039.g7d630d6) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Sun, 04 Dec 2011 21:26:52 -0600

## scummvm 1.4.1

=== Makefile ===

#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     := -DHAVE_CONFIG_H
LDFLAGS     :=
INCLUDES    := -I. -I$(srcdir) -I$(srcdir)/engines
LIBS        :=
OBJS        :=
DEPDIR      := .deps

MODULES     :=
MODULE_DIRS :=

# Load the make rules generated by configure
-include config.mk

ifeq "$(HAVE_GCC)" "1"
	CXXFLAGS:= -Wall $(CXXFLAGS)
	# Turn off some annoying and not-so-useful warnings
	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
	# Enable even more warnings...
	CXXFLAGS+= -Wpointer-arith -Wcast-qual
	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings

	# Currently we disable this gcc flag, since it will also warn in cases,
	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
	# is not possible, thus it would fail compiliation with -Werror without
	# being helpful.
	#CXXFLAGS+= -Wmissing-format-attribute

	# Disable RTTI and exceptions
	CXXFLAGS+= -fno-rtti -fno-exceptions

ifneq "$(HAVE_CLANG)" "1"
	# enable checking of pointers returned by "new", but only when we do not
	# build with clang
	CXXFLAGS+= -fcheck-new
endif
endif

ifeq "$(HAVE_CLANG)" "1"
	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
endif

ifeq "$(HAVE_ICC)" "1"
	# Disable some warnings:
	#  161: unrecognized #pragma
	# 1899: multicharacter character literal (potential portability problem)
	CXXFLAGS+= -diag-disable 161,1899
endif

#######################################################################
# Default commands - put the necessary replacements in config.mk      #
#######################################################################

CAT     ?= cat
CP      ?= cp
ECHO    ?= printf
INSTALL ?= install
MKDIR   ?= mkdir -p
RM      ?= rm -f
RM_REC  ?= $(RM) -r
ZIP     ?= zip -q

#######################################################################
# Misc stuff - you should never have to edit this                     #
#######################################################################

EXECUTABLE  := $(EXEPRE)scummvm$(EXEEXT)

include $(srcdir)/Makefile.common

# check if configure has been run or has been changed since last run
config.h config.mk: $(srcdir)/configure
ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
	@echo "Running $(srcdir)/configure with the last specified parameters"
	@sleep 2
	LDFLAGS="$(SAVED_LDFLAGS)" CXX="$(SAVED_CXX)" \
			CXXFLAGS="$(SAVED_CXXFLAGS)" CPPFLAGS="$(SAVED_CPPFLAGS)" \
			ASFLAGS="$(SAVED_ASFLAGS)" WINDRESFLAGS="$(SAVED_WINDRESFLAGS)" \
			$(srcdir)/configure $(SAVED_CONFIGFLAGS)
else
	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
endif

ifneq ($(origin port_mk), undefined)
include $(srcdir)/$(port_mk)
endif

=== debian/changelog ===
scummvm (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Install translations.dat into scummvm-data	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 14 Jan 2012 11:39:15 +0100

scummvm (1.4.0-1) unstable; urgency=low

  * New upstream release
    - Fixes script bug in "Beneath a Steel Sky" (Closes: #462595)
  * Remove Build-Conflicts on liboss-salsa-dev and disable ALSA on
    kfreebsd (Closes: #647124)
  * Bump debhelper level to 9, which enables default build flags
    and thus hardened compiler flags	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 05 Nov 2011 10:29:43 +0100

scummvm (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 04 Jul 2011 19:07:04 +0200

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Build-Depends: debhelper (>= 8.9.4), nasm [i386], libsdl1.2-dev, libmad0-dev, libasound2-dev [linux-any], libvorbis-dev, libmpeg2-4-dev, libflac-dev, libz-dev, libfluidsynth-dev, python
Standards-Version: 3.9.2
Homepage: http://www.scummvm.org

Package: scummvm
Architecture: any
Depends: ${shlibs:Depends}, scummvm-data, ${misc:Depends}
Suggests: fluidsynth | timidity, beneath-a-steel-sky, flight-of-the-amazon-queen
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of two games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky        (package name: beneath-a-steel-sky)
  - Flight of the Amazon Queen (package name: flight-of-the-amazon-queen)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Depends: ${shlibs:Depends},${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of two games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky        (package name: beneath-a-steel-sky)
  - Flight of the Amazon Queen (package name: flight-of-the-amazon-queen)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.

## scummvm 1.5.0~pre0032.ga001394

=== backends/platform/maemo/debian/changelog ===
scummvm (1.5.0~pre0032.ga001394) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Wed, 18 Jul 2012 20:36:02 -0500

scummvm (1.4.1) unstable; urgency=low

  * 1.4.1 release

 -- Tarek Soliman <tsoliman@scummvm.org>  Wed, 11 Jan 2012 17:17:26 -0600

=== backends/platform/maemo/debian/rules ===
#!/usr/bin/make -f

#include /usr/share/quilt/quilt.make

build: scummvm

scummvm:
	dh_testdir
	./configure --host=maemo
	$(MAKE) -j4

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
# run as fake dbus-service to enable switching back to application from desktop via home key
	install -m0755 dists/maemo/scummvm.servicewrapper debian/scummvm/usr/games/scummvm
	install -m0644 dists/maemo/scummvm.servicedesktop debian/scummvm/usr/share/applications/hildon/scummvm.desktop
	install -m0644 dists/maemo/scummvm.service debian/scummvm/usr/share/dbus-1/services
# the following commented out lines are the alternative for not running scummvm as a fake service
#	install -m0755 dists/maemo/scummvm.wrapper debian/scummvm/usr/games/scummvm
#	install -m0644 dists/maemo/scummvm.desktop debian/scummvm/usr/share/applications/hildon
	install -m0644 dists/maemo/scummvm26.png debian/scummvm/usr/share/icons/hicolor/26x26/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm40.png debian/scummvm/usr/share/icons/hicolor/40x40/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm48.png debian/scummvm/usr/share/icons/hicolor/48x48/hildon/scummvm.png
	install -m0644 dists/maemo/scummvm64.png debian/scummvm/usr/share/icons/hicolor/64x64/hildon/scummvm.png
	install -m0644 icons/scummvm.xpm debian/scummvm/usr/share/icons
#	install -m0644 -d debian/scummvm/usr/lib/scummvm
#	install -m0644 plugins/lib*.so debian/scummvm/usr/lib/scummvm
##non-optified version
#	install -m0755 scummvm debian/scummvm/usr/games/scummvm.bin
#	install -m0644 -d debian/scummvm/usr/share/scummvm
#	install -m0644 dists/pred.dic debian/scummvm/usr/share/scummvm
#	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip debian/scummvm/usr/share/scummvm
# optified version (save rootfs space on N900), see also configure prefix and datadir paths above
	install -m0644 -d debian/scummvm/opt/scummvm/bin
	install -m0755 scummvm debian/scummvm/opt/scummvm/bin
	install -m0644 -d debian/scummvm/opt/scummvm/share
	install -m0644 dists/pred.dic debian/scummvm/opt/scummvm/share
	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip debian/scummvm/opt/scummvm/share
	install -m0644 backends/vkeybd/packs/vkeybd_default.zip debian/scummvm/opt/scummvm/share
# for optified version we can also add engine datafiles
	install -m0644 dists/engine-data/drascula.dat dists/engine-data/hugo.dat dists/engine-data/kyra.dat dists/engine-data/lure.dat dists/engine-data/queen.tbl dists/engine-data/sky.cpt dists/engine-data/teenagent.dat dists/engine-data/toon.dat debian/scummvm/opt/scummvm/share

	install -m0644 -d debian/scummvm/usr/share/doc/scummvm
	install -m0644 NEWS README COPYRIGHT debian/scummvm/usr/share/doc/scummvm
binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: build clean binary install binary-arch binary-indep

## scummvm 1.5.0~pre0032.ga001394.1

=== backends/platform/maemo/debian/changelog ===
scummvm (1.5.0~pre0032.ga001394.1) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Wed, 18 Jul 2012 21:07:06 -0500

## scummvm 1.5.0

=== backends/platform/maemo/debian/changelog ===
scummvm (1.5.0) unstable; urgency=low

  * 1.5.0 release

 -- Tarek Soliman <tsoliman@scummvm.org>  Fri, 20 Jul 2012 14:48:44 -0500

=== backends/platform/maemo/debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 scummvm:
 	dh_testdir
-	./configure --host=maemo
-	$(MAKE) -j4
+	./configure --host=maemo --enable-release
+	$(MAKE)
 
 clean:
 	dh_testdir

## scummvm 1.5.0+dfsg

=== debian/changelog ===
scummvm (1.5.0+dfsg-1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * New upstream release [July 2012].
  * xz compression for .deb files and debian source.
  * debhelper to version 9.
  * Standards to 3.9.4.
  * Built-Using field for scummvm-data to document bundled fonts.
  * Build-Depends:
    + alphabetising and sorting.
    + added "fonts-freefont-ttf" and "zip" to facilitate substitution
      of font files and theme re-compression.
    + introduced "autotools_dev".
  * Added Vcs links.
  * Tightened relationships with "scummvm-data (= ${source:Version})".
  * lintianisation: removed tabs from package description.
  * Added commented scummvm-dbg package.
  * debian/rules:
    + optimisation.
    + enabled parallel build.
    + increased log verbosity with "--enable-verbose-build".
    + install upstream changelog.
    + gracefully handle stripping if -dbg package is
      (un-)commented in debian/control.
    + re-compress scummmodern.zip and replace bundled fonts from
      fonts-freefont-ttf.
    + added "get-orig-source" target for DFSG-repackaging and removing
      non-free fonts.
    + fixed FTBFS on GNU Hurd.
  * debian/copyright:
    + to copyright-format-1.0.
    + audit of upstream copyrights/licenses.
  * Dropped obsolete patch "debian-changes-1.0.0-1".
  * Dropped empty directories.
  * Moved .desktop file to the main package, added breaks/replaces
  * Added README.source with notes regarding DFSG concerns.
  * Added debian/watch.
  * Added myself to Uploaders.

  [ Markus Koschany ]
  * Update package description. Suggest new ScummVM games Drascula and
    Lure of the Temptress.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 May 2013 20:46:54 +1000

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
              ,fonts-freefont-ttf
              ,libasound2-dev [linux-any]
              ,libflac-dev
              ,libfluidsynth-dev
              ,libmad0-dev
              ,libmpeg2-4-dev
              ,libsdl1.2-dev
              ,libvorbis-dev
              ,libz-dev
              ,nasm [i386]
              ,python
              ,zip
Standards-Version: 3.9.4
Homepage: http://www.scummvm.org
Vcs-Git: git://anonscm.debian.org/pkg-games/scummvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scummvm.git

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity, beneath-a-steel-sky, drascula, flight-of-the-amazon-queen, lure-of-the-temptress
Replaces: scummvm-data (<< 1.5.0-1)
Breaks: scummvm-data (<< 1.5.0-1)
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.

#Package: scummvm-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: scummvm (= ${binary:Version}), ${misc:Depends}
#Description: scummvm -- debugging symbols
# ScummVM is a `virtual machine' for several classic graphical
# point-and-click adventure games.  It is designed to run Adventure Soft's
# Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
# based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
# system.  SCUMM is used for many games, including Monkey Island,
# Day of the Tentacle, Sam and Max and more.  See the official compatibility
# list at <http://www.scummvm.org/compatibility.php> for a full list
# of supported games.
# .
# This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --max-parallel=4 --with autotools_dev

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
OPTARGS:= --disable-alsa
endif
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
OPTARGS:= --disable-alsa
endif

override_dh_auto_configure:
	./configure \
            --datadir=/usr/share/scummvm \
            --enable-release \
            --enable-verbose-build \
            --prefix=/usr $(OPTARGS)

FPATH=gui/themes/scummmodern
override_dh_auto_build:
	## replacing bundled fonts...
	for F in $(FPATH)/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$$(basename $${F}) $(FPATH)/ ;done
	## re-compressing "modern" theme...
	cd $(FPATH) && zip -9 ../scummmodern.zip -r .
	## build executable(s)...
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# gracefully handle stripping if -dbg package (un-)commented in debian/control
override_dh_strip:
	[ -d "$(CURDIR)/debian/scummvm-dbg" ] \
        && dh_strip --dbg-package=scummvm-dbg \
        || dh_strip

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-freefont-ttf,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"

override_dh_builddeb:
	dh_builddeb -- -Zxz

# get-orig-source
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
DTYPE := +dfsg
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
        && $(RM) -r -v \
             gui/themes/fonts/topaz    \
             gui/themes/fonts/Arial*   \
             */*/*/*/*.o*              \
             */*/*/*.dll
	@echo "# Packing..."
	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
        && $(RM) -r "$(PKG)-$(VER)"

## scummvm 1.6.0%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 include $(srcdir)/Makefile.common
 
 # check if configure has been run or has been changed since last run
-config.h config.mk: $(srcdir)/configure
+config.h config.mk: $(srcdir)/configure $(srcdir)/engines/configure.engines
 ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
 	@echo "Running $(srcdir)/configure with the last specified parameters"
 	@sleep 2

## scummvm 1.6.0+dfsg

=== backends/platform/n64/Makefile ===

TOOLPATH = /opt/mips64-toolchain
LIBN64PATH = $(TOOLPATH)/hkz-libn64/
GCCN64PREFIX = $(TOOLPATH)/bin/mips64-

srcdir = ../../..
VPATH = $(srcdir)

CC = $(GCCN64PREFIX)gcc
CXX = $(GCCN64PREFIX)g++
AS = $(GCCN64PREFIX)as
LD = $(GCCN64PREFIX)g++
OBJCOPY = $(GCCN64PREFIX)objcopy
AR = $(GCCN64PREFIX)ar cru
RANLIB = $(GCCN64PREFIX)ranlib

DEFINES += -D__N64__ -DLIMIT_FPS -DNONSTANDARD_PORT -DDISABLE_DEFAULT_SAVEFILEMANAGER -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DDISABLE_FANCY_THEMES -DDISABLE_DOSBOX_OPL -DENABLE_VKEYBD -DUSE_ZLIB
LIBS += -lpakfs -lframfs -ln64 -ln64utils -lromfs

#DEFINES += -D_ENABLE_DEBUG_

USE_LIBMAD=0
USE_LIBOGG=1

ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

LIBS += -lm -lstdc++ -lc -lgcc -lz -lnosys

CXXFLAGS = -g -mno-extern-sdata -O2 --param max-inline-insns-auto=20 -fomit-frame-pointer -march=vr4300 -mtune=vr4300 -mhard-float -fno-rtti -fno-exceptions -Wno-multichar -Wshadow -I$(LIBN64PATH) -I$(TOOLPATH)/include -I./ -I$(srcdir) -I$(srcdir)/engines
LDFLAGS = -g -march=vr4300 -mtune=vr4300 -nodefaultlibs -nostartfiles -mno-crt0 -L$(LIBN64PATH) -L$(TOOLPATH)/lib $(LIBS) -T n64ld_cpp.x -Xlinker -Map -Xlinker scummvm.map

TARGET = scummvm
DEPDIR = .deps
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
MKDIR = mkdir -p
RM = rm -f
RM_REC = rm -rf

VERBOSE_BUILD=1
HAVE_GCC3=1
USE_RGB_COLOR=0

ENABLED=STATIC_PLUGIN

#ENABLE_SCUMM = $(ENABLED)
#ENABLE_SCI = $(ENABLED)
#ENABLE_GOB = $(ENABLED)
#ENABLE_PARALLACTION = $(ENABLED)
#ENABLE_KYRA = $(ENABLED)
#ENABLE_AGOS = $(ENABLED)
#ENABLE_AGI = $(ENABLED)
#ENABLE_QUEEN = $(ENABLED)
#ENABLE_MADE = $(ENABLED)
#ENABLE_SAGA = $(ENABLED)
#ENABLE_TEENAGENT = $(ENABLED)
#ENABLE_DRACI = $(ENABLED)

OBJS :=	nintendo64.o osys_n64_base.o osys_n64_events.o osys_n64_utilities.o pakfs_save_manager.o framfs_save_manager.o

BACKEND := n64

include $(srcdir)/Makefile.common

MODULE_DIRS += ./

all: $(TARGET).v64

$(TARGET).v64: $(TARGET).bin ROMFS.img bootcode
	cat bootcode $(TARGET).bin ROMFS.img > $(TARGET).v64
	./pad_rom.sh $(TARGET).v64

ROMFS.img:
	genromfs -f ./ROMFS.img -d ./ROMFS -V romtest

$(TARGET).elf: $(OBJS)
	$(LD) -o $(TARGET).elf $(OBJS) $(LDFLAGS)

$(TARGET).bin : $(TARGET).elf
	$(OBJCOPY) $(TARGET).elf $(TARGET).bin -O binary

spotless : distclean
	$(RM) *.bin *.elf *.v64 *.img *.bak *.tmp *.map

send: $(TARGET).v64
	sudo ucon64 --xv64  $(TARGET).v64

=== backends/platform/ps2/iop/CoDyVDfs/Makefile ===
# _____     ___ ____     ___ ____
#  ____|   |    ____|   |        | |____|
# |     ___|   |____ ___|    ____| |    \    PS2DEV Open Source Project.
#-----------------------------------------------------------------------
# Copyright 2001-2004, ps2dev - http://www.ps2dev.org
# Licenced under Academic Free License version 2.0
# Review ps2sdk README & LICENSE files for further details.
#
# $Id$


IOP_OBJS_DIR = obj/
IOP_BIN_DIR = bin/
IOP_SRC_DIR = iop/
IOP_INC_DIR = include/

IOP_BIN  = iop/CoDyVDfs.irx
IOP_OBJS = obj/codyvdfs.o obj/fiofs.o obj/rpcfs.o obj/imports.o

IOP_CFLAGS  += -Wall -fno-builtin
IOP_LDFLAGS += -s

all: $(IOP_OBJS_DIR) $(IOP_BIN_DIR) $(IOP_BIN)

clean:
	rm -f -r $(IOP_OBJS_DIR) $(IOP_BIN_DIR)

include $(PS2SDKSRC)/Defs.make
include $(PS2SDKSRC)/iop/Rules.make
include $(PS2SDKSRC)/iop/Rules.release

=== debian/changelog ===
scummvm (1.6.0+dfsg-3) unstable; urgency=medium

  * Touch "config.mk" before dh_auto_clean to fix FTBFS (Closes: #718164).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 30 Jul 2013 17:05:40 +1000

scummvm (1.6.0+dfsg-2) unstable; urgency=low

  * New patches to produce working executables on kFreeBSD and Hurd:
    + [hurd+kfreebsd] to build on Hurd & kFreeBSD (Closes: #711320);
      thanks to Petr Salinger.
    + [posix] to fix FTBFS in timidity on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Jun 2013 18:40:21 +1000

scummvm (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Added "libtheora-dev" to Build-Depends.
  * get-orig-source: minor repacking improvement to produce identical
    archives.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Jun 2013 19:09:54 +1000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
               ,libmad0-dev
               ,libmpeg2-4-dev
               ,libsdl1.2-dev
+              ,libtheora-dev
               ,libvorbis-dev
               ,libz-dev
               ,nasm [i386]

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
 OPTARGS:= --disable-alsa
 endif
+
+override_dh_auto_clean:
+	##718164 "FTBFS: Makefile:87: *** You need to run ./configure before you can run make".
+	[ -f config.mk ] || touch config.mk
+	dh_auto_clean
 
 override_dh_auto_configure:
 	./configure \
@@ -63,10 +68,12 @@
 	@echo "# Clean-up..."
 	cd $(PKG)-$(VER) \
         && $(RM) -r -v \
+             .*DS_Store                \
              gui/themes/fonts/topaz    \
              gui/themes/fonts/Arial*   \
              */*/*/*/*.o*              \
              */*/*/*.dll
 	@echo "# Packing..."
-	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	find -L "$(PKG)-$(VER)" -xdev -type f -print \
+        | sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
         && $(RM) -r "$(PKG)-$(VER)"

## scummvm 1.6.0+dfsg-3+7.0trisquel1

=== debian/changelog ===
scummvm (1.6.0+dfsg-3+7.0trisquel1) belenos; urgency=medium

  * Removed references to non-free software, fixes 7344

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 23 Nov 2014 23:34:32 +0100

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
              ,fonts-freefont-ttf
              ,libasound2-dev [linux-any]
              ,libflac-dev
              ,libfluidsynth-dev
              ,libmad0-dev
              ,libmpeg2-4-dev
              ,libsdl1.2-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libz-dev
              ,nasm [i386]
              ,python
              ,zip
Standards-Version: 3.9.4
Homepage: http://www.scummvm.org
Vcs-Git: git://anonscm.debian.org/pkg-games/scummvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scummvm.git

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity, beneath-a-steel-sky, drascula, flight-of-the-amazon-queen, lure-of-the-temptress
Replaces: scummvm-data (<< 1.5.0-1)
Breaks: scummvm-data (<< 1.5.0-1)
Description: engine for several graphical adventure games
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.

Package: scummvm-data
Architecture: all
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a virtual machine for several classic graphical
 point-and-click adventure games like beneath-a-steel-sky
 and flight-of-the-amazon-queen.
 .
 These packages provides data files needed to run some engines supported by

## scummvm 1.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,11 @@
 	# being helpful.
 	#CXXFLAGS+= -Wmissing-format-attribute
 
-	# Disable RTTI and exceptions
-	CXXFLAGS+= -fno-rtti -fno-exceptions
+ifneq "$(BACKEND)" "tizen"
+	# Disable exceptions. This setting causes tizen apps to crash
+	# TODO: Does this still apply after enabling RTTI again?
+	CXXFLAGS+= -fno-exceptions
+endif
 
 ifneq "$(HAVE_CLANG)" "1"
 	# enable checking of pointers returned by "new", but only when we do not
@@ -44,6 +47,11 @@
 
 ifeq "$(HAVE_CLANG)" "1"
 	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
+	# We use a anonymous nested type declaration in an anonymous union in
+	# common/str.h. This is no standard construct and clang warns about it.
+	# It works for all our target systems though, thus we simply disable that
+	# warning.
+	CXXFLAGS+= -Wno-nested-anon-types
 endif
 
 ifeq "$(HAVE_ICC)" "1"
@@ -75,7 +83,8 @@
 include $(srcdir)/Makefile.common
 
 # check if configure has been run or has been changed since last run
-config.h config.mk: $(srcdir)/configure $(srcdir)/engines/configure.engines
+ENGINE_SUBDIRS_CONFIGURE := $(wildcard $(srcdir)/engines/*/configure.engine)
+config.h: $(srcdir)/configure $(ENGINE_SUBDIRS_CONFIGURE)
 ifeq "$(findstring config.mk,$(MAKEFILE_LIST))" "config.mk"
 	@echo "Running $(srcdir)/configure with the last specified parameters"
 	@sleep 2
@@ -87,6 +96,14 @@
 	$(error You need to run $(srcdir)/configure before you can run make. Check $(srcdir)/configure --help for a list of parameters)
 endif
 
+config.mk engines/plugins_table.h engines/engines.mk: config.h
+	@if test -f $@; then \
+		touch $@; \
+	else \
+		rm -f config.h; \
+		$(MAKE) config.h; \
+	fi
+
 ifneq ($(origin port_mk), undefined)
 include $(srcdir)/$(port_mk)
 endif

=== debian/changelog ===
scummvm (1.7.0+dfsg-2ubuntu1) xenial; urgency=medium

  * debian/scummvm-data.install:
    - Corrected icons installation path (LP: #1559449)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Mar 2016 15:52:40 +1300

scummvm (1.7.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add disable-arm-asm.patch.
    Fix a crash and segmentation fault on ARM systems by disabling asm
    optimizations.
    Thanks to Konstantinos Margaritis <markos@freevec.org> for the report
    and patch and Vagrant Cascadian for further testing.
    (Closes: #779029)

 -- Markus Koschany <apo@gambaru.de>  Sat, 28 Feb 2015 18:50:52 +0100

scummvm (1.7.0+dfsg-1) unstable; urgency=low

  * New upstream release [July 2014].
    - remove old/obsolete patches.
    + added new "drop1test.patch" to disable problematic test.
    + build with "--disable-eventrecorder" to avoid FTBFS in tests.
    + added "libjpeg-dev" and "libfaad-dev" to Build-Depends.
  * Install all arch-independent files (themes, game data, etc.).
  * Build-time re-compression of "classic" theme.
  * Added "debian/gbp.conf".
  * Standards-Version to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Aug 2014 00:50:36 +1000

=== debian/control ===
Source: scummvm
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>
          ,Moritz Muehlenhoff <jmm@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
              ,fonts-freefont-ttf
              ,libasound2-dev [linux-any]
              ,libfaad-dev
              ,libflac-dev
              ,libfluidsynth-dev
              ,libjpeg-dev
              ,libmad0-dev
              ,libmpeg2-4-dev
              ,libsdl1.2-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,libz-dev
              ,nasm [i386]
              ,python
              ,zip
Standards-Version: 3.9.5
Homepage: http://www.scummvm.org
Vcs-Git: git://anonscm.debian.org/pkg-games/scummvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scummvm.git

Package: scummvm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, scummvm-data (= ${source:Version})
Suggests: fluidsynth | timidity
         ,beneath-a-steel-sky
         ,drascula
         ,flight-of-the-amazon-queen
         ,lure-of-the-temptress
Replaces: scummvm-data (<< 1.5.0-1)
Breaks: scummvm-data (<< 1.5.0-1)
Description: engine for several graphical adventure games
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.

Package: scummvm-data
Architecture: all
Built-Using: ${my:Built-Using}
Depends: ${misc:Depends}
Replaces: scummvm (<< 1.0.0-3)
Description: engine for several graphical adventure games (data files)
 ScummVM is a `virtual machine' for several classic graphical
 point-and-click adventure games.  It is designed to run Adventure Soft's
 Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
 based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
 system.  SCUMM is used for many games, including Monkey Island,
 Day of the Tentacle, Sam and Max and more.  See the official compatibility
 list at <http://www.scummvm.org/compatibility.php> for a full list
 of supported games.
 .
 The game data of four games compatible with ScummVM is included in Debian.
 These are:
 .
  - Beneath a Steel Sky                 (package: beneath-a-steel-sky)
  - Drascula: The Vampire Strikes Back  (package: drascula)
  - Flight of the Amazon Queen          (package: flight-of-the-amazon-queen)
  - Lure of the Temptress               (package: lure-of-the-temptress)
 .
 To actually make use of ScummVM, you'll have to install one of these, or
 obtain the proprietary game data for another supported game from somewhere
 else.
 .
 These packages provides data files needed to run some engines supported by
 ScummVM.

#Package: scummvm-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: scummvm (= ${binary:Version}), ${misc:Depends}
#Description: scummvm -- debugging symbols
# ScummVM is a `virtual machine' for several classic graphical
# point-and-click adventure games.  It is designed to run Adventure Soft's
# Simon the Sorcerer 1 and 2, Revolution's Beneath A Steel Sky, and games
# based on LucasArts' SCUMM (Script Creation Utility for Maniac Mansion)
# system.  SCUMM is used for many games, including Monkey Island,
# Day of the Tentacle, Sam and Max and more.  See the official compatibility
# list at <http://www.scummvm.org/compatibility.php> for a full list
# of supported games.
# .
# This package provides debugging symbols

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 override_dh_auto_configure:
 	./configure \
             --datadir=/usr/share/scummvm \
+            --disable-eventrecorder \
             --enable-release \
             --enable-verbose-build \
             --prefix=/usr $(OPTARGS)
@@ -31,6 +32,8 @@
 	for F in $(FPATH)/Free*.ttf; do cp -v /usr/share/fonts/truetype/freefont/$$(basename $${F}) $(FPATH)/ ;done
 	## re-compressing "modern" theme...
 	cd $(FPATH) && zip -9 ../scummmodern.zip -r .
+	## re-compressing "classic" theme...
+	cd gui/themes/scummclassic && zip -9 ../scummclassic.zip -r .
 	## build executable(s)...
 	dh_auto_build

=== debian/watch ===
# uscan(1) configuration file.
# Use `debian/rules get-orig-source` to generate DFSG-repackaged orig.tar.

version=3

opts="dversionmangle=s/\+dfsg//" \
http://sf.net/scummvm/scummvm-([0-9.]+)\.tar\.(?:xz|bz2|gz)

## scummvm 1.8.1+dfsg

=== debian/changelog ===
scummvm (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Standards-Version: 3.9.8.
  * Removed obsolete "format-security.patch".
  * Build-Depends:
    + libfreetype6-dev
    + libpng-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 00:28:50 +1000

scummvm (1.8.0+dfsg-1) unstable; urgency=low

  * New upstream release [March 2016].

  [ Alexandre Detiste ]
  * Use HTTPS for Vcs URLs.
  * Standards-Version: 3.9.7.
  * Watch "http://scummvm.org/downloads/" for releases.

  [ Dmitry Smirnov ]
  * Corrected icons installation path (Closes: #778687)
  * Update watch file to v4; use copyright/Files-Exclided;
    simplified rules/get-orig-source.
  * watch: check GitHub for releases.
  * Removed .menu file.
  * Fixed in new upstream release 1.8.0:
    + Spelling mistake in Spanish translation of Lure of the Temptress:
      "obsevar" -> "observar" has been fixed upstream (Closes: #805215).
  * clean: remove "config.mk".
  * Removed obsolete "drop1test.patch".
  * Switch to libsdl2 (Closes: #807710):
    + New "libsdl2.patch" to find "sdl2-config";
    + Build-Depends:
      - libsdl1.2-dev
      + libsdl2-dev | libsdl1.2-dev
  * Added "format-security.patch" to fix FTBFS.
  * Build with full hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 Mar 2016 10:07:19 +1100

=== debian/control ===
--- 
+++ 
@@ -11,20 +11,22 @@
               ,libfaad-dev
               ,libflac-dev
               ,libfluidsynth-dev
+              ,libfreetype6-dev
               ,libjpeg-dev
               ,libmad0-dev
               ,libmpeg2-4-dev
-              ,libsdl1.2-dev
+              ,libpng-dev
+              ,libsdl2-dev | libsdl1.2-dev
               ,libtheora-dev
               ,libvorbis-dev
               ,libz-dev
               ,nasm [i386]
               ,python
               ,zip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.scummvm.org
-Vcs-Git: git://anonscm.debian.org/pkg-games/scummvm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/scummvm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/scummvm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/scummvm.git
 
 Package: scummvm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --parallel --max-parallel=4 --with autotools_dev
@@ -49,13 +51,10 @@
 override_dh_gencontrol:
 	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-freefont-ttf,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 # get-orig-source
 PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s*([\d\.]+)}')
 DTYPE := +dfsg
 .PHONY: get-orig-source
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
@@ -64,19 +63,3 @@
 $(PKG)_$(VER)$(DTYPE).orig.tar.xz:
 	@echo "# Downloading..."
 	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
-	@echo "# Extracting..."
-	mkdir $(PKG)-$(VER) \
-        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
-        || $(RM) -r $(PKG)-$(VER)
-	@echo "# Clean-up..."
-	cd $(PKG)-$(VER) \
-        && $(RM) -r -v \
-             .*DS_Store                \
-             gui/themes/fonts/topaz    \
-             gui/themes/fonts/Arial*   \
-             */*/*/*/*.o*              \
-             */*/*/*.dll
-	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print \
-        | sort | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-        && $(RM) -r "$(PKG)-$(VER)"

## scummvm 1.9.0+dfsg

=== debian/changelog ===
scummvm (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2016].
  * Removed obsolete "libsdl2.patch".
  * Removed traces of -dbg package.
  * Build reproducibly (Closes: #827145)
    Thanks, Reiner Herrmann.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Nov 2016 23:17:07 +1100

## scummvm 2.0.0%2Bdfsg

=== backends/platform/psp/Makefile ===
# SCUMMVM-PSP MakeFile


#Use only this section to modify how the makefile behaves ------------

# Scummvm engine config: choose which engines are enabled
ENABLE_SCUMM = $(ENABLED)
ENABLE_SCUMM_7_8 = $(ENABLED)
ENABLE_HE = $(ENABLED)
ENABLE_AGI = $(ENABLED)
ENABLE_AGOS = $(ENABLED)
ENABLE_AGOS2 = $(ENABLED)
ENABLE_CINE = $(ENABLED)
ENABLE_CRUISE = $(ENABLED)
ENABLE_DRACI = $(ENABLED)
ENABLE_DRASCULA = $(ENABLED)
ENABLE_GOB = $(ENABLED)
ENABLE_GROOVIE = $(ENABLED)
ENABLE_GROOVIE2 = $(ENABLED)
ENABLE_IHNM = $(ENABLED)
ENABLE_KYRA = $(ENABLED)
ENABLE_LOL = $(ENABLED)
ENABLE_LURE = $(ENABLED)
ENABLE_M4 = $(ENABLED)
ENABLE_MADE = $(ENABLED)
ENABLE_PARALLACTION = $(ENABLED)
ENABLE_QUEEN = $(ENABLED)
ENABLE_SAGA = $(ENABLED)
ENABLE_SAGA2 = $(ENABLED)
ENABLE_SCI = $(ENABLED)
ENABLE_SCI32 = $(ENABLED)
ENABLE_SKY = $(ENABLED)
ENABLE_SWORD1 = $(ENABLED)
ENABLE_SWORD2 = $(ENABLED)
ENABLE_TEENAGENT = $(ENABLED)
ENABLE_TINSEL = $(ENABLED)
ENABLE_TOUCHE = $(ENABLED)
ENABLE_TUCKER = $(ENABLED)

# Set to 1 to enable seeing the commands to gcc
VERBOSE_BUILD=1
# Set to 1 to enable, 0 to disable dynamic modules
DYNAMIC_MODULES = 1
# Set to 1 to enable profiling
ENABLE_PROFILING = 0
# Set to 1 to enable, 0 to disable libmad and libogg
USE_LIBMAD = 1
USE_LIBOGG = 1
# --------------------------------------------------------------------


# General variables
srcdir = ../../..
VPATH = $(srcdir)
TARGET = scummvm-psp
# PSP SDK location variables
PSPSDK := $(shell psp-config --pspsdk-path)
PSPBIN = $(PSPSDK)/../bin

#check PSPSDK presence
ifeq ($(PSPSDK),)
$(error $$(PSPSDK) cannot be obtained.)
endif

# Variables for common Scummvm makefile
CXX      = psp-g++
CXXFLAGS = -O3 -Wall -Wno-multichar -fno-exceptions -fno-rtti
DEFINES  = -D__PSP__ -DNONSTANDARD_PORT -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_ZLIB  -DDISABLE_DOSBOX_OPL -DUSE_RGB_COLOR -DUSE_ELF_LOADER -DMIPS_TARGET

LDFLAGS  :=
INCDIR   := $(srcdir) . $(srcdir)/engines/ $(PSPSDK)/include
INCLUDES := $(addprefix -I, $(INCDIR))
DEPDIR = .deps
MODULE_DIRS += ./
MKDIR	= mkdir -p
RM	= rm -f
RM_REC	= rm -rf
AR      = psp-ar cru
RANLIB  = psp-ranlib
AS      = psp-gcc
LD      = psp-gcc
HAVE_GCC3 = true
CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP

# Variables for dynamic plugin building
PLUGIN_PREFIX =
PLUGIN_SUFFIX = .plg
PLUGIN_EXTRA_DEPS = $(srcdir)/backends/plugins/elf/plugin.syms scummvm-psp.elf
PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,--just-symbols=scummvm-psp.org.elf,-T$(srcdir)/backends/plugins/psp/plugin.ld,--retain-symbols-file,$(srcdir)/backends/plugins/elf/plugin.syms -lstdc++ -lc

# PSP-specific variables
STRIP   = psp-strip
MKSFO	= mksfoex -d MEMSIZE=1
PACK_PBP = pack-pbp
FIXUP	= psp-fixup-imports

# Test for adding different libs
ifeq ($(USE_LIBMAD),1)
DEFINES += -DUSE_MAD
LIBS	+= -lmad
endif
ifeq ($(USE_LIBOGG), 1)
DEFINES += -DUSE_VORBIS -DUSE_TREMOR
LIBS	+= -lvorbisidec
endif

# Test for dynamic plugins
ifeq ($(DYNAMIC_MODULES),1)
ENABLED = DYNAMIC_PLUGIN
DEFINES += -DDYNAMIC_MODULES
PRE_OBJS_FLAGS = -Wl,--whole-archive
POST_OBJS_FLAGS = -Wl,--no-whole-archive
else
ENABLED = STATIC_PLUGIN
endif

# Test for profiling
ifeq ($(ENABLE_PROFILING),1)
DEFINES += -DENABLE_PROFILING
CXXFLAGS += -pg -g
LDFLAGS += -pg
endif

# PSP LIBS
PSPLIBS =  -lpspprof -lpspvfpu -lpspdebug -lpspgu -lpspge -lpspdisplay -lpspctrl -lpspsdk \
	-lpsputility -lpspuser -lpsppower -lpsphprm -lpspsdk -lpsprtc -lpspaudio -lpspaudiocodec \
	-lpspkernel -lpspnet_inet


# Add in PSPSDK includes and libraries.
LIBS     += -lpng -lz -lstdc++ -lc -lm $(PSPLIBS)

OBJS := powerman.o \
	psp_main.o \
	osys_psp.o \
	psppixelformat.o \
	memory.o \
	display_manager.o \
	display_client.o \
	default_display_client.o \
	input.o \
	cursor.o \
	trace.o \
	pspkeyboard.o \
	audio.o \
	thread.o \
	rtc.o \
	mp3.o \
	png_loader.o \
	image_viewer.o \
	tests.o \
	dummy.o


BACKEND := psp

# Include common Scummvm makefile
include $(srcdir)/Makefile.common

# Variables for PSP-specific rules
PSP_EBOOT_SFO = param.sfo
PSP_EBOOT_TITLE = ScummVM-PSP
PSP_EBOOT = EBOOT.PBP
PSP_EBOOT_ICON = icon0.png
PSP_EBOOT_ICON1 = NULL
PSP_EBOOT_PIC0 = pic0.png
PSP_EBOOT_PIC1 = pic1.png
PSP_EBOOT_SND0 = NULL
PSP_EBOOT_PSAR = NULL

LDFLAGS += -Wl,-T../../plugins/psp/main_prog.ld

all: $(PSP_EBOOT)

$(TARGET).elf: $(OBJS)
	$(LD) $(PRE_OBJS_FLAGS) $(OBJS) $(POST_OBJS_FLAGS) $(LDFLAGS) $(LIBS) -o $@
	cp $(TARGET).elf $(TARGET).org.elf
	$(FIXUP) $@

$(PSP_EBOOT_SFO):
	$(MKSFO) '$(PSP_EBOOT_TITLE)' $@

$(PSP_EBOOT): $(TARGET).elf $(PSP_EBOOT_SFO)
	$(STRIP) $(TARGET).elf
	$(PACK_PBP) $@ $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON) $(PSP_EBOOT_ICON1) \
		$(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1) $(PSP_EBOOT_SND0)  \
		$(TARGET).elf $(PSP_EBOOT_PSAR)

kxploit: $(TARGET).elf $(PSP_EBOOT_SFO)
	mkdir -p "$(TARGET)"
	$(STRIP) $(TARGET).elf -o $(TARGET)/$(PSP_EBOOT)
	mkdir -p "$(TARGET)%"
	$(PACK_PBP) "$(TARGET)%/$(PSP_EBOOT)" $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON)  \
		$(PSP_EBOOT_ICON1) $(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1)  \
		$(PSP_EBOOT_SND0) NULL $(PSP_EBOOT_PSAR)

SCEkxploit: $(TARGET).elf $(PSP_EBOOT_SFO)
	mkdir -p "__SCE__$(TARGET)"
	$(STRIP) $(TARGET).elf -o __SCE__$(TARGET)/$(PSP_EBOOT)
	mkdir -p "%__SCE__$(TARGET)"
	$(PACK_PBP) "%__SCE__$(TARGET)/$(PSP_EBOOT)" $(PSP_EBOOT_SFO) $(PSP_EBOOT_ICON)  \
		$(PSP_EBOOT_ICON1) $(PSP_EBOOT_PIC0) $(PSP_EBOOT_PIC1)  \
		$(PSP_EBOOT_SND0) NULL $(PSP_EBOOT_PSAR)

=== debian/changelog ===
scummvm (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release, merging all patches. Closes: #886317.
  * Use pkg-config to find FreeType 2. Closes: #892447.
  * Remove convert_utf.* and disable Wintermute, the files are not
    DFSG-free.
  * Add myself as uploader.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Mar 2018 22:56:27 +0100

scummvm (1.9.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Avoid disabling -Wformat, which causes a build failure with GCC 7.
    Closes: #871161.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 Aug 2017 12:05:39 +0200

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
"  http://scummvm.org/downloads/ .*/scummvm-([0-9.]+)\.tar\.(?:xz|bz2|gz)

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+dfsg\d*//,\
" https://github.com/scummvm/scummvm/releases \
 .*/archive/v?\.?(\d[\d\.]+)\.tar\.gz
